data:extend(
  {
  {
    type = "item",
    name = "leaf-washer",
    icon = "__druglab__/graphics/icons/leaf-washer.png",
    flags = {"goes-to-quickbar"},
    subgroup = "else",
    order = "f[leaf-washer]",
    place_result = "leaf-washer",
    stack_size = 10,
  },
  {
    type = "assembling-machine",
    name = "leaf-washer",
    icon = "__druglab__/graphics/icons/leaf-washer.png",
    flags = {"placeable-neutral","player-creation"},
    minable = {mining_time = 1, result = "leaf-washer"},
	fast_replaceable_group = "leaf-washer",
    max_health = 300,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    collision_box = {{-1.5, -1.5}, {1.5, 1.5}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    module_specification =
    {
      module_slots = 1
    },
    allowed_effects = {"consumption", "pollution", "productivity"},
    crafting_categories = {"drugs","drugs-et-et"},
    crafting_speed = 1.5,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.03 / 3.5
    },
    energy_usage = "125kW",
    ingredient_count = 4,
    animation ={
	layers={
    {
        filename = "__druglab__/graphics/entity/leaf-washer/halfsize_leaf-washer2.png",
        width = 128,
        height = 128,
		line_length = 5,
        frame_count = 25,
        shift = {0.3, -0.5},
		animation_speed = 0.25,
    },
	}
	},
     vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = { filename = "__base__/sound/oil-refinery.ogg" },
      idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
      apparent_volume = 2.5,
    },
    fluid_boxes =
    {
      {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {0, 1.9} }}
      },
      {
        production_type = "output",
        pipe_covers = pipecoverspictures(),
        base_level = 1,
        pipe_connections = {{ position = {0, -1.9} }}
      }
    },
    pipe_covers = pipecoverspictures(),
    },d
   
   
    }
)