  data:extend(
{
    {
    type = "item",
    name = "oil-agitator",
    icon = "__druglab__/graphics/icons/oil-agitator.png",
	flags = {"goes-to-quickbar"},
    subgroup = "drug-equipment",
    order = "f[leaf_cooker]",
    place_result = "oil-agitator",
    stack_size = 10,
    },
  
  
  
  {
    type = "assembling-machine",
    name = "oil-agitator",
    icon = "__druglab__/graphics/icons/oil-agitator.png",
    flags = {"placeable-neutral","player-creation"},
    minable = {mining_time = 1, result = "oil-agitator"},
    max_health = 350,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    collision_box = {{-2.4, -2.4}, {2.4, 2.4}},
    selection_box = {{-2.5, -2.5}, {2.5, 2.5}},
    module_specification =
    {
      module_slots = 1
    },
    scale_entity_info_icon = true,
    allowed_effects = {"consumption", "productivity", "pollution"},
    crafting_categories = {"agitation"},
    crafting_speed = 1,
    has_backer_name = true,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.23 / 8.5
    },
    energy_usage = "1420kW",
    ingredient_count = 4,


    animation = make_4way_animation_from_spritesheet({ layers =
    {
      {
        filename = "__druglab__/graphics/entity/oil-agitator/oil-agitator.png",
        width = 337,
        height = 255,
        frame_count = 1,
        shift = {2.515625, 0.484375},        
      },	 
     
    }}),






    working_visualisations =
    {
      {
        north_position = util.by_pixel(34, -65),
        east_position = util.by_pixel(-52, -61),
        south_position = util.by_pixel(-59, -82),
        west_position = util.by_pixel(57, -58),
        animation =
        {
          filename = "__druglab__/graphics/entity/oil-agitator/oil-agitator-fire.png",
          line_length = 10,
          width = 20,
          height = 40,
          frame_count = 60,
          animation_speed = 0.75,
          shift = util.by_pixel(0, -14),
          
        },
        light = {intensity = 0.4, size = 6, color = {r = 1.0, g = 1.0, b = 1.0}}
      }
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = { filename = "__druglab__/sound/oil-agitator.ogg" },
      idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
      apparent_volume = 2.5,
    },
    fluid_boxes =
    {
      {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {-1, 3} }}
      },
      {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {1, 3} }}
      },
      {
        production_type = "output",
        pipe_covers = pipecoverspictures(),
        base_level = 1,
        pipe_connections = {{ position = {-2, -3} }}
      },
      {
        production_type = "output",
        pipe_covers = pipecoverspictures(),
        base_level = 1,
        pipe_connections = {{ position = {0, -3} }}
      },
      {
        production_type = "output",
        pipe_covers = pipecoverspictures(),
        base_level = 1,
        pipe_connections = {{ position = {2, -3} }}
      }
    },
    pipe_covers = pipecoverspictures()
  },
  
  }
  )